degov/degov

Drupal 8 for Government (Drupal 8 für die öffentliche Verwaltung)

Installs: 6 001

Dependents: 2

Suggesters: 0

Stars: 19

Watchers: 23

Forks: 7

Language:Gherkin

Type:drupal-profile

5.0.26 2018-10-17 15:07 UTC

README

Stories in Ready

deGov - Drupal 8 for Government

Notes

deGov is the first Drupal 8 distribution focussing on the needs of (German) governmental organisations. It uses Acquia Lightning as a basis and extends this it with valueable functions to meet the use cases for different scenarios:

  • Websites for governmental organisations from all levels (federal, regional, local) to publish information
  • Service-oriented E-Government portals to close the gap between citizens and your administration
  • Citizen Engagement portals to discuss and decide online
  • Open311 portals for civic issue tracking
  • Open data portals to publish and create communities around data
  • Intranet/Extranet for government employees

Sounds interesting? Then go for it and install the first Drupal 8 distribution for government!

Prerequisites

  • Webserver (Apache2, Nginx, Hiawatha, Microsoft IIS)
  • PHP >= 7.1+ | Memory >= 64MB
  • RDMS (MySQL => 5.5.3, MariaDB => 5.5.20, Percona Server => 5.5.8)
  • Mailserver (Postfix, exim, etc.)
  • Composer

Installing deGov

BEFORE YOU INSTALL: please read the prerequisites

First your need to setup the deGov repository.

composer create-project degov/degov-project MY_PROJECT_PATH

Change your working directory into deGov

$ cd MY_PROJECT_PATH

You need to install deGov. You need to choose one installation type

Drush

You can install your site via drush. Drush will be shipped by deGov

bin/drush si degov

Webinstaller

Visit the deGov-Domain to start the installation process. Follow the Installer instructions to successfully finish the installation process.

http://[YOUR_SITE]/

Usage

Visit the following page to log into your deGov Installation with your previously created User to administer your deGov Installation.

http://[YOUR_SITE]/user/login/

Testing

PHPUnit

Drupal 8 needs PHPUnit 4.8. Therefor it is recommended to download the PHP phar archive in the appropriate version. Copy the phpunit.xml.dist file to phpunit.xml for fitting your needs. Afterwards you can execute the tests via:

php ./phpunit-4.8.9.phar

Behat

Needs to be added

Learn more about testing in Drupal 8.

License

GNU GENERAL PUBLIC LICENSE v2